Bug 858778 - glib2 gdb prettyprinter failure - Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.:
glib2 gdb prettyprinter failure - Python Exception <type 'exceptions.ValueErr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 12:34 EDT by Yanko Kaneti
Modified: 2015-01-09 13:18 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 13:18:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yanko Kaneti 2012-09-19 12:34:39 EDT
Description of problem:
Pretty-printing some glib structures in gdb fails. e.g trace from nautilus-shell-search-provider
Program received signal SIGSEGV, Segmentation fault.
0x00007ffff473bbd7 in _g_utf8_normalize_wc (str=str@entry=0x0, 
    max_len=max_len@entry=-1, mode=mode@entry=G_NORMALIZE_DEFAULT)
    at gunidecomp.c:374
374	  while ((max_len < 0 || p < str + max_len) && *p)
(gdb) bt
#0  0x00007ffff473bbd7 in _g_utf8_normalize_wc (str=str@entry=0x0, 
    max_len=max_len@entry=-1, mode=mode@entry=G_NORMALIZE_DEFAULT)
    at gunidecomp.c:374
#1  0x00007ffff473c093 in g_utf8_normalize (str=str@entry=0x0, len=len@entry=
    -1, mode=mode@entry=G_NORMALIZE_DEFAULT) at gunidecomp.c:535
#2  0x000000000041452c in prepare_string_for_compare (string=string@entry=0x0)
    at nautilus-shell-search-provider.c:136
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#3  0x000000000041493b in search_add_volumes_and_bookmarks (self=)
    at nautilus-shell-search-provider.c:389
Python Exception <type 'exceptions.ValueError'> Variable 'g_quarks' not found.: 
#4  execute_search (self=, invocation=<optimized out>, terms=<optimized out>)
    at nautilus-shell-search-provider.c:465
#5  0x00007fffeedceed8 in ffi_call_unix64 () from /lib64/libffi.so.5
.....


Version-Release number of selected component (if applicable):
gdb-7.5-19.fc18.x86_64
python-2.7.3-13.fc18.x86_64
glib2-2.33.14-1.fc18.x86_64
glib2-2.33.14-1.fc18.i686
glib2-devel-2.33.14-1.fc18.x86_64
glib2-debuginfo-2.33.14-1.fc18.x86_64
Comment 1 Dave Malcolm 2012-09-19 12:47:41 EDT
Copying some notes on this from IRC:
<dmalcolm> yaneti: within gdb, if you type    (gdb) print g_quarks    what is the output?
<yaneti> No symbol "g_quarks" in current context.
<dmalcolm> hmmm, did g_quarks go away?  grepping in glib-2.33.14 the only reference is within the glib.py
<mclasen_> it probably got renamed when I recently cleaned up quark code
<mclasen_> g_ prefixes got dropped, it seems
Comment 2 Fedora End Of Life 2013-04-03 12:10:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 12:22:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.